# Uses of Class
com.databricks.jdbc.api.impl.batch.ImmutableBatchCommand

Packages that use ImmutableBatchCommand
Package
Description
com.databricks.jdbc.api.impl.batch

## Uses of ImmutableBatchCommand in com.databricks.jdbc.api.impl.batch

Methods in com.databricks.jdbc.api.impl.batch that return ImmutableBatchCommand
Modifier and Type
Method
Description
`ImmutableBatchCommand`
ImmutableBatchCommand.Builder.`build()`
Builds a new `ImmutableBatchCommand`.
`static ImmutableBatchCommand`
ImmutableBatchCommand.`copyOf(BatchCommand instance)`
Creates an immutable copy of a `BatchCommand` value.
`final ImmutableBatchCommand`
ImmutableBatchCommand.`withSql(String value)`
Copy the current immutable object by setting a value for the `sql` attribute.